Package ch.qos.logback.classic.spi

# Class EventArgUtil

java.lang.Object
ch.qos.logback.classic.spi.EventArgUtil

public class EventArgUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`EventArgUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Object[]`
`arrangeArguments(Object[] argArray)`
`static final Throwable`
`extractThrowable(Object[] argArray)`
`static boolean`
`successfulExtraction(Throwable throwable)`
`static Object[]`
`trimmedCopy(Object[] argArray)`
This method should be called only if `successfulExtraction(Throwable)` returns true.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventArgUtil

public EventArgUtil()

## Method Details

### extractThrowable

public static final Throwable extractThrowable(Object[] argArray)

### trimmedCopy

public static Object[] trimmedCopy(Object[] argArray)
This method should be called only if `successfulExtraction(Throwable)` returns true.

Parameters:
  `argArray` -
Returns:

### arrangeArguments

public static Object[] arrangeArguments(Object[] argArray)

### successfulExtraction

public static boolean successfulExtraction(Throwable throwable)